#! /bin/bash

echo "installing host environment"

mkdir build
mkdir sysroot sysroot/usr sysroot/opt

git clone https://github.com/raspberrypi/tools
wget https://download.qt.io/archive/qt/5.12/5.12.8/single/qt-everywhere-src-5.12.8.tar.xz
wget https://raw.githubusercontent.com/riscv/riscv-poky/master/scripts/sysroot-relativelinks.py

tar xf qt-everywhere-src-5.12.8.tar.xz
rm qt-everywhere-src-5.12.8.tar.xz
cp -R qt-everywhere-src-5.12.8/qtbase/mkspecs/linux-arm-gnueabi-g++ qt-everywhere-src-5.10.1/qtbase/mkspecs/linux-arm-gnueabihf-g++
sed -i -e 's/arm-linux-gnueabi-/arm-linux-gnueabihf-/g' qt-everywhere-src-5.12.8/qtbase/mkspecs/linux-arm-gnueabi-g++/qmake.conf

mv qt-everywhere-src-5.12.8 qt_src

